
## Introduction :

Adds a bunch of new immersive scraps. The goal of this mod is to add more lore-friendly scraps to the game.

![Scraps](https://i.imgur.com/OMz4y53.png)

![Scraps](https://i.ibb.co/s5TPvJF/image.png)

All the assets from this mod are made by me or come from free 3D assets website https://www.sketchfab.com (links below)

I reworked every textures to match the grungy art style of Lethal Company, so the scraps wouldn't feel too clean.

I also heavily optimized each piece. This mod is a good friend for slow computers. Textures never exceed 512px (unlike your typical scrap mod who bullies your GPU with 2k textures for no reason). 

Number of tris per assets is very low and optimized (never exceed 2000 tris // average = 500 tris).

This means that your computer won't catch fire because of this mod.

New scraps can have randomized textures and models. For more variety, they come in multiple colors.

Immersive, lore-friendly, light and optimized new scraps.

New tools and weapons can be found in the game (fireaxe, baseball bat, etc...) Some deal 2 damages but they're very rare.

Wanna give some feedbacks ? Here is a discord link :

https://discord.com/channels/1168655651455639582/1195454016021340322

![Scraps](https://i.ibb.co/87CPQkt/image.png)

## Update History :
- 1.1.9
	- Balanced some scrap prices
	- Added 4 new one-handed objects : hammer, socket wrench, clamp, pliers
- 1.1.8
	- Added the gameboy with 3 random colors
- 1.1.7
	- Fixed a crash that rarely happened with bad item names
- 1.1.6
	- Renamed the alcohol flask correctly this time
	- Added new random textures for bucket/beer can
	- Remade the wrench model
- 1.1.5
	- Removed the heavy flashlight. (was made for testing I forgot to remove it)
- 1.1.4
	- Added the car battery.
	- Renamed the flask to alcohol flask to not confuse the game with vanilla flask.
	- Fixed hand positioning on some scraps.
- 1.1.3
	- Added new two-handed item : garbage bag. (Time to clean up)
	- Fixed a small issue on clock component.
- 1.1.2
	- Updated the mod description.
- 1.1.1
	- Added 4 new scraps : flask, vent, top hat, canteen.
- 1.1.0
	- Fixed the sound bug on weapons. (plunger/fireaxe/baseball bat)
	- Added custom sound on more objects. (more to come...)
	- Added the Broken engine. (Heavy item with a big price, very rare)
- 1.0.9
	- The fireaxe & baseball bat now deal 2 damages instead of 1. (Shovel = 1).
	- Drastically decreased their spawn rate. (they mostly spawn on tier 3 moons)
	- Increased their price.
	- Added the lantern. (Doesn't need battery and cast a light in a small radius)
- 1.0.8
	- Changed rubber chicken name for mod compatibility.
	- Added 5 new scraps : fireaxe, baseball bat, sink, can paint, beer.
	- Modified weights of some scraps. (one handed are lighter, two handed are heavier)
	- Fixed meshes and textures. (increased the size of the toolbox in hand, this kind of things...)
- 1.0.6
	- Removed custom sounds until fixed completely.
	- Removed broken rubber chicken until fixed completely.
	- New scraps coming soon...
- 1.0.5
	- Changed dependencies from Lethal Expansion to Lethal Expansion Core.
	- Added the food can to increase the one-handed pool.
	- Attempt to fix a bug on rubber chicken sound that was not properly playing.
	- 
- 1.0.4
	- Removed the clock sound who wasn't working properly.
	- Optimized some textures.
- 1.0.3
	- Added the watering can.
	- Added sound to the clock (press LMB).
	- Balanced some prices (jerrycan, rubber chicken...)
	- Decreased plant spawn rate.
- 1.0.2
	- Added discord link for feedbacks.
- 1.0.1
	- Update mod description and manifest.
- 1.0.0
	- Added 23 new lore-friendly items to the game.


## Credits :
- HolographicWings for SDK and general help.
- People from the unofficial lethal company modding discord who helped me create this mod.
- Free 3D assets from Sketchfab licensing under Creatives Commons Attribution https://creativecommons.org/licenses/by/4.0/:
- https://sketchfab.com/3d-models/garbage-bags-9e769751ac3a4b6a893a5719349b78ca
- https://sketchfab.com/3d-models/us-water-canteen-d7c35e35c257423eb00e6ba45ef31ace
- https://sketchfab.com/3d-models/top-hat-689cd0d635cf4906920dd3ba435d991e
- https://sketchfab.com/3d-models/old-vent-b5d51f385d394ac292770b692cbd47e3
- https://sketchfab.com/3d-models/old-sink-4e8ce1e067b6426494cf724dbe4e0f71
- https://sketchfab.com/3d-models/beer-can-1a5e3960db804fb881ff879194eb348c
- https://sketchfab.com/3d-models/rusty-can-of-sardines-af964af1c58840c1baf3cc0dd8cd987d#download
- https://sketchfab.com/3d-models/watering-can-3f6dee60aa044f4b8cbb3fc6d6d31fe5
- https://sketchfab.com/3d-models/wheelretopopbr-9bdd4873a63f4d69826386997ac7e204
- https://sketchfab.com/3d-models/pbr-anvil-3529b9ef4e2c4a32add55948b5361609
- https://sketchfab.com/3d-models/bucket-213625e02be24d16944aa4aa458bff5a
- https://sketchfab.com/3d-models/alarm-clock-67195aeb6ce84673a61178119056a34e
- https://sketchfab.com/3d-models/extinguisher-de1f1f8e6f774b47b8d3e3dc7c1a1af3
- https://sketchfab.com/3d-models/fire-hydrant-low-poly-game-ready-9c7a2dd5503943b2bdfd0b612848ba9f
- https://sketchfab.com/3d-models/rusted-jerrycan-fb06aacd6a1d41e99dc0418b80098883
- https://sketchfab.com/3d-models/old-table-lamp-v03-a5feb56f36514b8fa9766d75735ff785
- https://sketchfab.com/3d-models/plunger-3822d0f99af042ecb397d3e1a43dc467#download
- https://sketchfab.com/3d-models/retro-toy-6e1737b83e17419bb23e45a09da2062f
- https://sketchfab.com/3d-models/screwdriver-b38d8b8521784176a92168c6f836d5fd#download
- https://sketchfab.com/3d-models/texturing-suitcase-challenge-a073561befef4547a4edd426d9e0eac7
- https://sketchfab.com/3d-models/art-deco-toaster-1864f9b3e9e74993b2e9b735dc488a9e
- https://sketchfab.com/3d-models/toolbox-photoscan-lowpoly-52c36208571b4664a89d8607f58c6a45
- https://sketchfab.com/3d-models/wrench-xyz-80472c4750eb425dac3eb8370fc0af31
